Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Interface Logical

All Known Implementing Classes:
  LogicalImpl

Deprecated. Use `Expression` instead.

public interface Logical
extends Expression

An expression which does a boolean AND or OR against a list of child expression.

This represents a branch in an expression tree. Its children will be either Criterias or other Logicals.

Attribute: children
- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection
- This is the list of children Expressions.
Attribute: logical

- Containment: By Value
- Multiplicity: 1:1
- The boolean operator, which should be either TypesHelper.AND or TypesHelper.OR.

See Also:
  `LogicalHome`, `LogicalImpl`, `ExpressionHelper`

Method Summary
`boolean` | `addAllChildren(java.util.Collection collection)` Deprecated. Adds all of the expressions in the specified collection to our list of children expressions.
`boolean` | `addChildren(Expression element)` Deprecated. Ensures that the list of children expressions contains the specified expression.
`void` | `clearChildren()` Deprecated. Removes all children expressions.
`boolean` | `containsAllChildren(java.util.Collection c)` Deprecated. Returns true if all the specified expressions are our children.
`boolean` | `containsChildren(Expression element)` Deprecated. Returns true if the specified expression is one of our children.
`boolean` | `equalsChildren(java.lang.Object object)` Deprecated. Compares the specified object with the list of children expressions.
`java.util.Collection` | `getAllChildren()` Deprecated. Returns the list of children expressions.
`java.lang.String` | `getLogical()` Deprecated. Get the boolean logical operator.
`int` | `hashCodeChildren()` Deprecated. Returns the hash code value for the list of children expressions.
`boolean` | `isEmptyChildren()` Deprecated. Returns true if we have no children.
`java.util.Iterator` | `iteratorChildren()` Deprecated. Returns an iterator over the list of children expressions.
`boolean` | `removeAllChildren(java.util.Collection collection)` Deprecated. Removes, from our children, all of the expressions specified.
`boolean` | `removeChildren(Expression element)` Deprecated. Removes a single child expression from us.
`boolean` | `retainAllChildren(java.util.Collection collection)` Deprecated. Retains only the children which are also contained in the specified collection.
`void` | `setAllChildren(java.util.Collection collection)` Deprecated. Sets the list of children expressions.
`void` | `setLogical(java.lang.String logical)` Deprecated. Set the boolean logical operator.
`int` | `sizeChildren()` Deprecated. Returns the number of children expressions.

Methods inherited from interface com.beasys.commerce.foundation.expression.Expression
`getNot, interfaceName, setByValue, setNot, toString, value, valueOf`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getAllChildren

    public java.util.Collection getAllChildren()

  Deprecated.
  Returns the list of children expressions.

### setAllChildren

    public void setAllChildren(java.util.Collection collection)

  Deprecated.
  Sets the list of children expressions.

### addChildren

    public boolean addChildren(Expression element)

  Deprecated.
  Ensures that the list of children expressions contains the specified expression.

### addAllChildren

    public boolean addAllChildren(java.util.Collection collection)

  Deprecated.
  Adds all of the expressions in the specified collection to our list of children expressions.

### clearChildren

    public void clearChildren()

  Deprecated.
  Removes all children expressions.

### containsChildren

    public boolean containsChildren(Expression element)

  Deprecated.
  Returns true if the specified expression is one of our children.

### containsAllChildren

    public boolean containsAllChildren(java.util.Collection c)

  Deprecated.
  Returns true if all the specified expressions are our children.

### equalsChildren

    public boolean equalsChildren(java.lang.Object object)

  Deprecated.
  Compares the specified object with the list of children expressions.

### hashCodeChildren

    public int hashCodeChildren()

  Deprecated.
  Returns the hash code value for the list of children expressions.

### isEmptyChildren

    public boolean isEmptyChildren()

  Deprecated.
  Returns true if we have no children.

### iteratorChildren

    public java.util.Iterator iteratorChildren()

  Deprecated.
  Returns an iterator over the list of children expressions.

### removeChildren

    public boolean removeChildren(Expression element)

  Deprecated.
  Removes a single child expression from us.

### removeAllChildren

    public boolean removeAllChildren(java.util.Collection collection)

  Deprecated.
  Removes, from our children, all of the expressions specified.

### retainAllChildren

    public boolean retainAllChildren(java.util.Collection collection)

  Deprecated.
  Retains only the children which are also contained in the specified collection.

### sizeChildren

    public int sizeChildren()

  Deprecated.
  Returns the number of children expressions.

### getLogical

    public java.lang.String getLogical()

  Deprecated.
  Get the boolean logical operator.

### setLogical

    public void setLogical(java.lang.String logical)

  Deprecated.
  Set the boolean logical operator.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved